package com.yida.data.common.core.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 银联退款状态枚举
 *
 * @author ZYJ
 * @date 2022/6/27
 */
@Getter
@AllArgsConstructor
public enum UnionRefundStatusEnum {

    /**
     * 退款状态枚举
     * UNKNOWN 不明确的交易状态
     * SUCCESS 退款成功
     * FAIL 退款失败
     * PROCESSING 退款处理中
     */
    REFUND_UNKNOWN("UNKNOWN", "不明确的交易状态"),
    REFUND_SUCCESS("SUCCESS", "退款成功"),
    REFUND_FAIL("FAIL", "退款失败"),
    REFUND_PROCESSING("PROCESSING", "退款处理中");

    /**
     * 状态值
     */
    private final String status;

    /**
     * 描述
     */
    private final String message;
}
